I bloggen hittar du nyheter från Plucera Webbyrå

WordPress och pure-ftpd

19 augusti 2010

Sedan vi uppdaterade WP till 3.0 har vi börjat få problem med automatiska uppdateringar av plug-ins. Även installation av plug-ins från administrationen i WordPress har fungerat dåligt.

Vi har i huvudsak stött på två problem:

  1. Uppdatering/installation misslyckas med referens till någon fil som inte kunde kopieras.
  2. Uppdatering/installation tar väldigt lång tid. Detta framför allt när man uppdaterar flera pluggar på samma gång med WP:s nya funktion för samtidig uppgradering av flera pluggar.

Efter en hel del huvudbry och letande i loggar utan resultat hittade vi ett antal rapporter från användare som stött på liknande problem. Problemen kunde visa sig precis som våra eller med vissa skillnader.

I dessa rapporter hittade vi också information om att pure-ftpd kunde ligga bakom och ett byte av ftp-mjukvara på servern kunde fixa detta. Sagt och gjort, vi testade att byta från pure-ftpd till proftpd och problemen försvann.

Orsaken sägs ligga i det nya bibliotek för FTP-överföring som introducerades i WP 3.0. Det känns rimligt med tanke på att vi inte upplevde några problem med pure-ftpd med tidigare version av WP.

Vill också poängtera att vi inte använder FTP ut mot Internet utan kör endast FTP-servern på localhost för att kunna göra dessa uppdateringar i WP på smidigast möjliga sätt.

Har du konto på ett webbhotell där detta händer, kontakta supporten och kolla om de använder pure-ftpd.